%define name booh
%define version 0.8.2
%define release 1mdk

Summary: Web-Album generator
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://zarb.org/~gc/html/booh.html
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Graphics
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: ruby >= 1.8 ruby-gtk2 >= 0.12 ruby-gettext >= 0.8.0
Requires: transcode exif mencoder
BuildRequires: ruby ruby-devel gettext ImageMagick ruby-gnome2-devel

%{expand:%%define ruby_libdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%{expand:%%define ruby_archdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

%description
Yet another Web-Album generator. Highlights:

  * automatic rotation of portrait images thanks to information
    put by digital camera in .jpg file
  * immediate display of images (preloading in browser)
  * keep position of "next/previous" hyperlinks in browser
    between images
  * advanced video support (thumbnailing etc)
  * clever use of the whole space of a typical browser window
    (the need to scroll portrait images is stupid)
  * themability
  * sub-albums support
  * remember your preferred size of thumbnails accross sub-albums
  * multi-processor support
  * a GUI to input captions, rotate, reorder and remove
    images FAST (extensive use of keyboard shortcuts)

%prep
%setup -q

%build
ruby setup.rb config
ruby setup.rb setup
cd ext
ruby extconf.rb
make

%install
rm -rf %buildroot
ruby setup.rb install --prefix=%buildroot
cd ext
make install DESTDIR=%buildroot libdir=%buildroot%{_libdir} archdir=%buildroot%ruby_archdir
cd ..

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << "EOF" > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs=X11 section=Multimedia/Graphics\
  title="Booh" command="%{_bindir}/booh" icon="booh.png" longtitle="Web-Album generator"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
#cp icons/booh-icon-16x16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
#cp icons/booh-icon-32x32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#cp icons/booh-icon-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%find_lang %name --all-name 

%post
%{update_menus}

%postun 
%{clean_menus}

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-, root, root)
%{_bindir}/*
%{ruby_libdir}/%{name}*
%{ruby_archdir}/*
%{_datadir}/%{name}
%doc README
%{_menudir}/%{name}
%{_mandir}/*/*
#%{_iconsdir}/*.png
#%{_iconsdir}/*/*.png
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}

%changelog
* Sun Aug 14 2005 Guillaume Cottenceau 0.8.2-1mdk
- new version

* Tue Aug 02 2005 Guillaume Cottenceau 0.8.1-1mdk
- new version (with bash-completion thx guillomovitch)

* Sat Jul 30 2005 Guillaume Cottenceau 0.8.0-1mdk
- new version

* Fri Jun 17 2005 Guillaume Cottenceau 0.7.1-1mdk
- new version

* Thu Jun 16 2005 Guillaume Cottenceau 0.7.0-1mdk
- new version

* Mon May 23 2005 Guillaume Cottenceau 0.6.0-1mdk
- new version

* Sun May  8 2005 Guillaume Cottenceau 0.5.2-1mdk
- new version

* Sun May  8 2005 Guillaume Cottenceau 0.5.1-1mdk
- new version

* Sat May  7 2005 Guillaume Cottenceau 0.5.0-1mdk
- new version

* Sun Apr 17 2005 Guillaume Cottenceau 0.4.0-1mdk
- new version

* Sat Apr 09 2005 Guillaume Cottenceau 0.3.0-1mdk
- new version

* Fri Apr 01 2005 Guillaume Cottenceau 0.2.0-1mdk
- new version

* Mon Mar 28 2005 Guillaume Cottenceau 0.1.0-1mdk
- first mdk package
